pcl::gpu::PtrStepSz< T > Struct Template Reference

`#include </build/pcl-OilVEB/pcl-1.8.1+dfsg1/gpu/containers/include/pcl/gpu/containers/kernel_containers.h>`

Inheritance diagram for pcl::gpu::PtrStepSz< T >:

## Public Member Functions

__PCL_GPU_HOST_DEVICE__ | PtrStepSz ()
__PCL_GPU_HOST_DEVICE__ | PtrStepSz (int rows_arg, int cols_arg, T *data_arg, size_t step_arg)
Public Member Functions inherited from pcl::gpu::PtrStep< T >
__PCL_GPU_HOST_DEVICE__ | PtrStep ()
__PCL_GPU_HOST_DEVICE__ | PtrStep (T *data_arg, size_t step_arg)
__PCL_GPU_HOST_DEVICE__ T * | ptr (int y=0)
__PCL_GPU_HOST_DEVICE__ const T * | ptr (int y=0) const
__PCL_GPU_HOST_DEVICE__ T & | operator() (int y, int x)
__PCL_GPU_HOST_DEVICE__ const T & | operator() (int y, int x) const
Public Member Functions inherited from pcl::gpu::DevPtr< T >
__PCL_GPU_HOST_DEVICE__ | DevPtr ()
__PCL_GPU_HOST_DEVICE__ | DevPtr (T *data_arg)
__PCL_GPU_HOST_DEVICE__ size_t | elemSize () const
__PCL_GPU_HOST_DEVICE__ | operator T* ()
__PCL_GPU_HOST_DEVICE__ | operator const T * () const

## Public Attributes

int | cols
int | rows
Public Attributes inherited from pcl::gpu::PtrStep< T >
size_t | step
| stride between two consecutive rows in bytes. More...
Public Attributes inherited from pcl::gpu::DevPtr< T >
T * | data

## Additional Inherited Members

Public Types inherited from pcl::gpu::DevPtr< T >
typedef T | elem_type
Static Public Attributes inherited from pcl::gpu::DevPtr< T >
static const size_t | elem_size = sizeof(elem_type)

## Detailed Description

### template<typename T>
struct pcl::gpu::PtrStepSz< T >

Definition at line 92 of file kernel_containers.h.

## Constructor & Destructor Documentation

## PtrStepSz() [1/2]

template<typename T>

__PCL_GPU_HOST_DEVICE__ pcl::gpu::PtrStepSz< T >::PtrStepSz | ( |  | ) |

inline

Definition at line 94 of file kernel_containers.h.

## PtrStepSz() [2/2]

template<typename T>

__PCL_GPU_HOST_DEVICE__ pcl::gpu::PtrStepSz< T >::PtrStepSz | ( | int | rows_arg,
|  | int | cols_arg,
|  | T * | data_arg,
|  | size_t | step_arg
| ) |  |

inline

Definition at line 95 of file kernel_containers.h.

## Member Data Documentation

## cols

template<typename T>

int pcl::gpu::PtrStepSz< T >::cols

Definition at line 98 of file kernel_containers.h.

Referenced by pcl::gpu::DeviceMemory2D::ptr(), and pcl::gpu::TextureBinder::TextureBinder().

## rows

template<typename T>

int pcl::gpu::PtrStepSz< T >::rows

Definition at line 99 of file kernel_containers.h.

Referenced by pcl::gpu::DeviceMemory2D::ptr(), and pcl::gpu::TextureBinder::TextureBinder().

The documentation for this struct was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/gpu/containers/include/pcl/gpu/containers/kernel_containers.h